unit ModZX48;

interface

function ZX48inb(addr : Word) : byte;
procedure ZX48outb(addr : Word; outbyte : byte);

implementation uses ModMultiface,ModMain,ModLoader,ModAy8912,ModDisplay,UMain;

Function ZX48inb(addr : Word) : byte;
var res,i : byte;
    port  : Pair absolute addr;
begin
        case port.l of
                  31: result:=StickValue;
               63,191: result:=MF128inb(port.l);
                 253: result:=AY8912.Regs[glSoundRegister];
                 254:
                    begin
                     res:=255;
                     if port.h and 128=0 then res:=res and keyB_SPC;
                     if port.h and 064=0 then res:=res and keyH_ENT;
                     if port.h and 032=0 then res:=res and keyY_P;
                     if port.h and 016=0 then res:=res and key6_0;
                     if port.h and 008=0 then res:=res and key1_5;
                     if port.h and 004=0 then res:=res and keyQ_T;
                     if port.h and 002=0 then res:=res and keyA_G;
                     if port.h and 001=0 then res:=res and keyCAPS_V;
                     result:=res;
                    end;
                 255: result:=glvline and 255;
                else result:=255;
        end;
End;

procedure ZX48outb(addr : word; outbyte : byte);
var btemp:byte;
    port: Pair absolute addr;
begin
    If (port.w And $1) = 0 Then
    begin
        If display.border <> (outbyte And $7) Then
            display.border:= (outbyte And $7);

{$IFDEF USE_SOUND}
        If ((outbyte And 16) = 16) Then
        begin
{$IFDEF USE_DEBUGGING}
            ReportDebug(0,'glBeeperVal=31',0,True);
{$ENDIF}
            glBeeperVal := 31
        end
        Else
            glBeeperVal := 0;
{$ENDIF}
    end
End;


end.
