unit ModPlus2;

interface

function Plus2inb(addr : word) : byte;
procedure Plus2outb(addr : word; outbyte : byte);

implementation uses ModMultiface,ModMain,ModLoader,ModAy8912,UMain,ModDisplay;

Function Plus2inb(addr:Word) : byte;
    var res : byte;
        i:byte;
        port: pair absolute addr;
begin
        case port.l of
                  31: result:=StickValue; (* Kempston *)
                 63,191:result:=MF128inb(port.w);
{$IFDEF USE_SOUND}
                 253: result := AY8912.Regs[glSoundRegister];
{$ENDIF}
                 254: begin
                     res:=255;
                     if port.h and 128=0 then res:=res and keyB_SPC;
                     if port.h and 064=0 then res:=res and keyH_ENT;
                     if port.h and 032=0 then res:=res and keyY_P;
                     if port.h and 016=0 then res:=res and key6_0;
                     if port.h and 008=0 then res:=res and key1_5;
                     if port.h and 004=0 then res:=res and keyQ_T;
                     if port.h and 002=0 then res:=res and keyA_G;
                     if port.h and 001=0 then res:=res and keyCAPS_V;
                     result:=res;
                     end;
                 255: (* Vertical Retrace (not on +3 or +2A) *)
                      result:=glvline and 255; (* Temporary  *)
                else result:=255; (* Temporary *)
        end;
End;

procedure Plus2outb(addr:Word; outbyte : byte);
var btemp:Byte;
    port: Pair absolute addr;
begin
    If (port.l And $1) = 0 Then
    begin
     display.border:= (outbyte And $7);

     {$IFDEF USE_SOUND}
        If ((outbyte And 16) = 16) Then
        begin
         {$IFDEF USE_DEBUGGING}
            ReportDebug(0,'glBeeperVal=31',0,True);
         {$ENDIF}
         glBeeperVal := 31
        end
        Else
         glBeeperVal := 0;
      {$ENDIF}
    end;

    if port.l=253 then
     begin
      btemp:=port.h shr 6;
      case btemp of
      0,1: begin
            glpageat[3]:=outbyte and 7;
            if (outbyte and 8)>0 then glUseScreen:=7 else glUseScreen:=5;
            if glpageat[0]<>nromstart+4 then
             glPageAt[0]:=nromstart+(outbyte and 16) shr 4;

            glLastOut7ffd:=outbyte;
           end;
{$IFDEF USE_SOUND}
        2: AY8912.Regs[glSoundRegister]:=outbyte;
{$ENDIF}
        3: glSoundRegister := outbyte And $F;
      end;
  end;
end;

end.





