unit UAbout;
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ShellApi;

type
  TfrmAbout = class(TForm)
    btnOK: TButton;
    Timer1: TTimer;
    pnlAbout: TPanel;
    ScrollBox: TScrollBox;
    lblName: TLabel;
    lblVersion: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    lblFree: TLabel;
    lblGrokUrl: TLabel;
    lblAuthorEmail: TLabel;
    Label3: TLabel;
    lblHyper64: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    bvAbout: TBevel;
    Label6: TLabel;
    procedure btnOKClick(Sender: TObject);
    procedure lblGrokUrlClick(Sender: TObject);
    procedure lblAuthorEmailClick(Sender: TObject);
    procedure lblHyper64Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    procedure OpenObject(sObjectPath : PChar);    
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}


procedure TfrmAbout.btnOKClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmAbout.OpenObject(sObjectPath : PChar);
begin
 ShellExecute(0, PChar('Open'), sObjectPath, Nil, Nil, SW_NORMAL);
end;

procedure TfrmAbout.lblGrokUrlClick(Sender: TObject);
  var TempString : array[0..79] of char;
begin
   StrPCopy(TempString,lblGrokUrl.Caption);
   OpenObject(TempString);
end;

procedure TfrmAbout.lblAuthorEmailClick(Sender: TObject);
  var TempString : array[0..79] of char;
begin
   StrPCopy(TempString,lblAuthorEmail.Caption);
   OpenObject(TempString);
end;

procedure TfrmAbout.lblHyper64Click(Sender: TObject);
  var TempString : array[0..79] of char;
begin
   StrPCopy(TempString,(sender as tlabel).Caption);
   OpenObject(TempString);
end;

procedure TfrmAbout.Timer1Timer(Sender: TObject);
begin
  if (ScrollBox.Top <= -340) then
    ScrollBox.Top := 295
  else
    ScrollBox.Top := ScrollBox.Top - 3;
end;

procedure TfrmAbout.FormShow(Sender: TObject);
begin
  ScrollBox.Top := 295;
end;

end.
